<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        
    </head>
    <body>

        <input type="text" id="c1" onclick="gestionar()">

    </body>
    <script>

        function gestionar(){

            let texto=document.createElement("input");

            //Faltaba agregarlo al body!!!
            document.body.appendChild(texto);




        }

        

    </script>


</html>